# Identity v2 Commands

## catalog

### catalog list

List services in the service catalog

    openstack catalog list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

### catalog show

Display service catalog details

    openstack catalog show <service>

service

  Service to display (type or name)

## ec2 credentials (Identity v2)

### ec2 credentials create

Create EC2 credentials

    openstack ec2 credentials create [--project <project>] [--user <user>]

--project <project>

  Create credentials in project (name or ID; default: current authenticated project)

--user <user>

  Create credentials for user (name or ID; default: current authenticated user)

### ec2 credentials delete

Delete EC2 credentials

    openstack ec2 credentials delete
        [--user <user>]
        <access-key>
        [<access-key> ...]

--user <user>

  Delete credentials for user (name or ID)

access-key

  Credentials access key(s)

### ec2 credentials list

List EC2 credentials

    openstack ec2 credentials list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--user <user>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--user <user>

  Filter list by user (name or ID)

### ec2 credentials show

Display EC2 credentials details

    openstack ec2 credentials show [--user <user>] <access-key>

--user <user>

  Show credentials for user (name or ID)

access-key

  Credentials access key

## endpoint (Identity v2)

### endpoint create

Create new endpoint

    openstack endpoint create
        --publicurl <url>
        [--adminurl <url>]
        [--internalurl <url>]
        [--region <region-id>]
        <service>

--publicurl <url>

  New endpoint public URL (required)

--adminurl <url>

  New endpoint admin URL

--internalurl <url>

  New endpoint internal URL

--region <region-id>

  New endpoint region ID

service

  Service to be associated with new endpoint (name or ID)

### endpoint delete

Delete endpoint(s)

    openstack endpoint delete <endpoint-id> [<endpoint-id> ...]

endpoint-id

  Endpoint(s) to delete (ID only)

### endpoint list

List endpoints

    openstack endpoint list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

### endpoint show

Display endpoint details

    openstack endpoint show <endpoint>

endpoint

  Endpoint to display (endpoint ID, service ID, service name, service type)

## project (Identity v2)

### project create

Create new project

    openstack project create
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--property <key=value>]
        [--or-show]
        <project-name>

--description <description>

  Project description

--enable

  Enable project (default)

--disable

  Disable project

--property <key=value>

  Add a property to <name> (repeat option to set multiple properties)

--or-show

  Return existing project

project-name

  New project name

### project delete

Delete project(s). This command will remove specified existing project(s) if an active user is authorized to do this. If there are resources managed by other services (for example, Nova, Neutron, Cinder) associated with specified project(s), delete operation will proceed regardless.

    openstack project delete <project> [<project> ...]

project

  Project(s) to delete (name or ID)

### project list

List projects

    openstack project list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--sort <key>[:<direction>]]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--sort <key>[:<direction>]

  Sort output by selected keys and directions (asc or desc) (default: asc), repeat this option to specify multiple keys and directions.

### project set

Set project properties

    openstack project set
        [--name <name>]
        [--description <description>]
        [--enable | --disable]
        [--property <key=value>]
        <project>

--name <name>

  Set project name

--description <description>

  Set project description

--enable

  Enable project

--disable

  Disable project

--property <key=value>

  Set a project property (repeat option to set multiple properties)

project

  Project to modify (name or ID)

### project show

Display project details

    openstack project show <project>

project

  Project to display (name or ID)

### project unset

Unset project properties

    openstack project unset [--property <key>] <project>

--property <key>

  Unset a project property (repeat option to unset multiple properties)

project

  Project to modify (name or ID)

## role (Identity v2)

### role add

Add role to project:user

    openstack role add --project <project> --user <user> <role>

--project <project>

  Include <project> (name or ID)

--user <user>

  Include <user> (name or ID)

role

  Role to add to <project>:<user> (name or ID)

### role assignment list

List role assignments

    openstack role assignment list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--user <user>]
        [--project <project>]
        [--names]
        [--auth-user]
        [--auth-project]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--user <user>

  User to filter (name or ID)

--project <project>

  Project to filter (name or ID)

--names

  Display names instead of IDs

--auth-user

  Only list assignments for the authenticated user

--auth-project

  Only list assignments for the project to which the authenticated user’s token is scoped

### role create

Create new role

    openstack role create [--or-show] <name>

--or-show

  Return existing role

name

  New role name

### role delete

Delete role(s)

    openstack role delete <role> [<role> ...]

role

  Role(s) to delete (name or ID)

### role list

List roles

    openstack role list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

### role remove

Remove role from project : user

    openstack role remove --project <project> --user <user> <role>

--project <project>

  Include <project> (name or ID)

--user <user>

  Include <user> (name or ID)

role

  Role to remove (name or ID)

### role show

Display role details

    openstack role show <role>

role

  Role to display (name or ID)

## service (Identity v2)

### service create

Create new service

    openstack service create
        [--name <name>]
        [--description <description>]
        <type>

--name <name>

  New service name

--description <description>

  New service description

type

  New service type (compute, image, identity, volume, etc)

### service delete

Delete service(s)

    openstack service delete <service> [<service> ...]

service

  Service(s) to delete (type, name or ID)

### service list

List services

    openstack service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

### service show

Display service details

    openstack service show [--catalog] <service>

--catalog

  Show service catalog information

service

  Service to display (type, name or ID)

## token (Identity v2)

### token issue

Issue new token

    openstack token issue

### token revoke

Revoke existing token

    openstack token revoke <token>

token

  Token to be deleted

## user (Identity v2)

### user create

Create new user

    openstack user create
        [--project <project>]
        [--password <password>]
        [--password-prompt]
        [--email <email-address>]
        [--enable | --disable]
        [--or-show]
        <name>

--project <project>

  Default project (name or ID)

--password <password>

  Set user password

--password-prompt

  Prompt interactively for password

--email <email-address>

  Set user email address

--enable

  Enable user (default)

--disable

  Disable user

--or-show

  Return existing user

name

  New user name

### user delete

Delete user(s)

    openstack user delete <user> [<user> ...]

user

  User(s) to delete (name or ID)

### user list

List users

    openstack user list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--project <project>]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Filter users by project (name or ID)

--long

  List additional fields in output

### user set

Set user properties

    openstack user set
        [--name <name>]
        [--project <project>]
        [--password <user-password>]
        [--password-prompt]
        [--email <email-address>]
        [--enable | --disable]
        <user>

--name <name>

  Set user name

--project <project>

  Set default project (name or ID)

--password <user-password>

  Set user password

--password-prompt

  Prompt interactively for password

--email <email-address>

  Set user email address

--enable

  Enable user (default)

--disable

  Disable user

user

  User to modify (name or ID)

### user show

Display user details

    openstack user show <user>

user

  User to display (name or ID)

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.